summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rwxr-xr-xutils/hooks/pre-push6
1 files changed, 3 insertions, 3 deletions
diff --git a/utils/hooks/pre-push b/utils/hooks/pre-push
index 5dc8adda..2417d379 100755
--- a/utils/hooks/pre-push
+++ b/utils/hooks/pre-push
@@ -57,10 +57,10 @@ do
errors=$((errors+1))
fi
- # 3. A Reviewed-by is required.
- if ! echo "$msg" | grep -q '^Reviewed-by: '
+ # 3. A Reviewed-by or Acked-by is required.
+ if ! echo "$msg" | grep -q '^\(Reviewed\|Acked\)-by: '
then
- echo >&2 "No Reviewed-by in commit $commit"
+ echo >&2 "No Reviewed-by or Acked-by in commit $commit"
errors=$((errors+1))
fi
done